librime: rime::UserDbComponent< BaseDb > Class Template Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Types | Public Member Functions | List of all members
rime::UserDbComponent< BaseDb > Class Template Reference

Implements a component that serves as a factory for a user db class. More...

`#include <user_db.h>`

Inheritance diagram for rime::UserDbComponent< BaseDb >:
[legend]
Collaboration diagram for rime::UserDbComponent< BaseDb >:
[legend]

## Public Types
using | UserDbImpl = UserDbWrapper<BaseDb>

## Public Member Functions
Db * | Create (const string &name) override
string | extension () const override
RIME_DLL string | extension () const
string | extension () const

## Additional Inherited Members
Protected Member Functions inherited from rime::DbComponentBase
| DbComponentBase ()
virtual | ~DbComponentBase ()
path | DbFilePath (const string &name, const string &extension) const
Protected Attributes inherited from rime::DbComponentBase
the< ResourceResolver > | db_resource_resolver_

## Detailed Description

template<class BaseDb>
class rime::UserDbComponent< BaseDb >

Implements a component that serves as a factory for a user db class.

## Member Typedef Documentation

## ◆ UserDbImpl

template<class BaseDb>

using rime::UserDbComponent< BaseDb >::UserDbImpl = UserDbWrapper<BaseDb>

## Member Function Documentation

## ◆ Create()

template<class BaseDb>

Db * rime::UserDbComponent< BaseDb >::Create | ( | const string & | name | ) |
| inlineoverride

## ◆ extension() [1/3]

RIME_DLL string rime::UserDbComponent< LevelDb >::extension | ( |  | ) | const
| virtual

Implements rime::UserDb::Component.

## ◆ extension() [2/3]

string rime::UserDbComponent< TextDb >::extension | ( |  | ) | const
| virtual

Implements rime::UserDb::Component.

## ◆ extension() [3/3]

template<class BaseDb>

string rime::UserDbComponent< BaseDb >::extension | ( |  | ) | const
| overridevirtual

Implements rime::UserDb::Component.

The documentation for this class was generated from the following file:

- user_db.h